Create a Sequence Diagram under Use Case 9 for CN ReplicationManager's scheduled audit of

replicas
Product Version: *   

Description

The CN's ReplicationManager should be called to check the availability of replicas on a regular basis. Replicas which have not been

checked in 2 months or longer should have their checksum verified in order to ensure the copy remains as it was when it was

correctly replicated. 

As a part of this process, ReplicationManager will query the SOLR Indexer for a list of Identifiers corresponding to objects who have

a Replica which has not been checked in 2 or more months. After a short list of Identifiers is received, the ReplicationManager will

iterate through Identifiers and Replicas, binning them into tasks sorted by NodeReferences. An MNAuditTask will then be created

and called for handling checksum verification for all objects that need to be checked on a Node. 

If a Replica is found to have an incorrect checksum, the ReplicationStatus should be set to INVALIDATED, and ReplicationManager

should coordinate replication to replace the invalid copy.

History

#1 - 2011-10-24 16:37 - Nicholas Dexter

- Target version deleted (Sprint-2011.41-Block.5)

- Milestone changed from CCI-0.6.4 to None

#2 - 2012-04-09 15:08 - Chris Jones

- Status changed from New to Closed

The use case 9 sequence diagram has been updated with the regular audit task section that shows how scheduled MNAuditTasks will be executed.

#3 - 2012-10-05 15:18 - Chris Jones

- Target version set to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:12 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#5 - 2012-12-04 14:31 - Robert Waltz

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

#6 - 2013-03-01 19:06 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.14-Block.2.3

#7 - 2013-05-15 15:10 - Skye Roseboom

- Target version changed from 2013.14-Block.2.3 to 2013.18-Block.3.1
#8 - 2013-05-15 15:12 - Skye Roseboom

- Target version changed from 2013.18-Block.3.1 to 2013.20-Block.3.2

#9 - 2013-08-02 17:26 - Skye Roseboom

- Target version changed from 2013.20-Block.3.2 to 2013.33-Block.4.4

#10 - 2013-09-11 16:50 - Skye Roseboom

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#11 - 2014-01-06 22:55 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2014.6-Block.1.3

#12 - 2014-03-14 18:27 - Robert Waltz

- Target version deleted (2014.6-Block.1.3)

#13 - 2014-03-14 18:45 - Robert Waltz

- Target version set to 2014.14-Block.2.3

#14 - 2014-03-14 18:45 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.16-Block.2.4

#15 - 2014-05-05 21:48 - Skye Roseboom

- Target version changed from 2014.16-Block.2.4 to 2014.22-Block.3.3

#16 - 2014-07-31 21:57 - Robert Waltz

- Target version deleted (2014.22-Block.3.3)
